=== debian/changelog ===
yoga (3.2.1+ds-2) unstable; urgency=medium

  * debian/control: Mark build-dep googletest as <!nocheck>.
  * debian/control: Mark binary package as M-A: same.

 -- Boyuan Yang <byang@debian.org>  Thu, 26 Feb 2026 12:39:25 -0500

yoga (3.2.1+ds-1) unstable; urgency=medium

  * Initial packaging. (Closes: #1126812)

 -- Boyuan Yang <byang@debian.org>  Mon, 02 Feb 2026 19:32:20 -0500
