=== debian/control ===
Source: yoga
Section: libs
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 googletest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/facebook/yoga
Vcs-Git: https://salsa.debian.org/input-method-team/yoga.git
Vcs-Browser: https://salsa.debian.org/input-method-team/yoga
Description: Embeddable and performant flexbox layout engine
 Yoga is an embeddable and performant flexbox layout engine targeting web
 standards, with bindings for multiple languages. Yoga itself is not a UI
 framework, and does not do any drawing itself. Yoga's only responsibility
 is determining the size and position of boxes.

Package: libyoga-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files for the yoga library.
