=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

include /usr/share/dpkg/architecture.mk

%:
	dh $@

execute_after_dh_auto_test:
	# Manually invoke ctest after building
	cd obj-${DEB_HOST_GNU_TYPE} ; ./tests/yogatests
