=== debian/watch ===
Version: 5

Template: GitHub
Owner: facebook
Project: yoga
Version-Type: SEMANTIC_VERSION
Repack: yes
Repacksuffix: +ds
Dversion-Mangle: auto
